package net.northking.cctp.se.dto;

public class ScriptEngineInfo
{
  /**
   * 版本号
   */
  private String version;

  /**
   * 设备ID
   */
  private String deviceId;

  /**
   * 引擎ID
   */
  private String engineId;

  /**
   * 状态
   */
  private EngineStatus status;

  /**
   * 操作系统名称
   */
  private String osName;

  /**
   * 20230831 jieying.li 添加引擎的ip
   */
  private String ipAddress;

  public String getVersion()
  {
    return version;
  }

  public void setVersion(String version)
  {
    this.version = version;
  }

  public String getDeviceId()
  {
    return deviceId;
  }

  public void setDeviceId(String deviceId)
  {
    this.deviceId = deviceId;
  }

  public EngineStatus getStatus()
  {
    return status;
  }

  public void setStatus(EngineStatus status)
  {
    this.status = status;
  }

  public String getEngineId() {
    return engineId;
  }

  public void setEngineId(String engineId) {
    this.engineId = engineId;
  }

  public String getOsName() {
    return osName;
  }

  public void setOsName(String osName) {
    this.osName = osName;
  }

  public String getIpAddress() {
    return ipAddress;
  }

  public void setIpAddress(String ipAddress) {
    this.ipAddress = ipAddress;
  }

}
